package com.yunzhi.marketing.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.entity.TaSave;

import java.util.List;

/**
 * <p>
 * 收藏表  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
public interface ITaSaveService extends IService<TaSave> {


    ResponseBean postLike(String openid, String typeOf, String like, Integer orgId);

    ResponseBean cancelLike(String openid, String typeOf, String like);

    List<String> getTargesOfPerson(String personId, String tagertType);

    TaSave getInfoBy(String personId, String tagertType, String savedTarget);
}
